"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _initReplicationStateTable = _interopRequireDefault(require("./init-replication-state-table"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const resetReplication = async pool => {
  const {
    executeQuery,
    eventsTableName,
    secretsTableName,
    escapeId,
    escape
  } = pool;
  const eventsTableNameAsId = escapeId(eventsTableName);
  const secretsTableNameAsId = escapeId(secretsTableName);
  const replicationStateTableName = await (0, _initReplicationStateTable.default)(pool);
  const replicationStateTableNameAsId = escapeId(replicationStateTableName);
  const notStarted = 'notStarted';
  await executeQuery(`
    BEGIN IMMEDIATE;
    DELETE FROM ${eventsTableNameAsId};
    DELETE FROM ${secretsTableNameAsId};
    UPDATE ${replicationStateTableNameAsId} SET
      "Status" = ${escape(notStarted)},
      "StatusData" = NULL,
      "Iterator" = NULL,
      "SuccessEvent" = NULL,
      "LockExpirationTime" = 0,
      "LockId" = NULL;
    COMMIT;`);
};

var _default = resetReplication;
exports.default = _default;
//# sourceMappingURL=reset-replication.js.map